* [gentoo-commits] proj/sci:master commit in: sci-physics/qcl/files/, sci-physics/qcl/
@ 2014-06-02 20:30 Jauhien Piatlicki
0 siblings, 0 replies; 3+ messages in thread
From: Jauhien Piatlicki @ 2014-06-02 20:30 UTC (permalink / raw
To: gentoo-commits
commit: 8e1c26dee1b315620a9b4623cf9431e4c8a5a019
Author: Jauhien Piatlicki <jauhien <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 2 17:08:17 2014 +0000
Commit: Jauhien Piatlicki <jauhien <AT> gentoo <DOT> org>
CommitDate: Mon Jun 2 17:08:17 2014 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=8e1c26de
sci-physics/qcl: version bump to 0.6.4
---
sci-physics/qcl/ChangeLog | 8 +++++-
sci-physics/qcl/files/qcl-0.6.4-makefile.patch | 22 +++++++++++++++
sci-physics/qcl/qcl-0.6.4.ebuild | 38 ++++++++++++++++++++++++++
3 files changed, 67 insertions(+), 1 deletion(-)
diff --git a/sci-physics/qcl/ChangeLog b/sci-physics/qcl/ChangeLog
index aa9b85b..587799c 100644
--- a/sci-physics/qcl/ChangeLog
+++ b/sci-physics/qcl/ChangeLog
@@ -1,7 +1,13 @@
# ChangeLog for sci-physics/qcl
-# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*qcl-0.6.4 (02 Jun 2014)
+
+ 02 Jun 2014; Jauhien Piatlicki <jauhien@gentoo.org> +qcl-0.6.4.ebuild,
+ +files/qcl-0.6.4-makefile.patch:
+ version bump
+
*qcl-0.6.3-r1 (26 May 2010)
26 May 2010; Sébastien Fabbro <bicatali@gentoo.org>
diff --git a/sci-physics/qcl/files/qcl-0.6.4-makefile.patch b/sci-physics/qcl/files/qcl-0.6.4-makefile.patch
new file mode 100644
index 0000000..e73cee4
--- /dev/null
+++ b/sci-physics/qcl/files/qcl-0.6.4-makefile.patch
@@ -0,0 +1,22 @@
+--- Makefile
++++ Makefile
+@@ -32,7 +32,7 @@
+
+ #DEBUG = -g -pg -DQCL_DEBUG -DQC_DEBUG
+ #DEBUG = -g -DQCL_DEBUG -DQC_DEBUG
+-DEBUG = -O2 -g -DQCL_DEBUG -DQC_DEBUG
++DEBUG = -DQCL_DEBUG -DQC_DEBUG
+ #DEBUG = -O2
+
+ # Plotting support
+@@ -81,8 +81,8 @@
+
+ #CXX = g++
+ #CPP = $(CC) -E
+-CXXFLAGS = -c $(ARCHOPT) $(DEBUG) $(PLOPT) $(RLOPT) $(IRQOPT) $(ENCOPT) -I$(QCDIR) -DDEF_INCLUDE_PATH="\"$(QCLDIR)\""
+-LDFLAGS = $(ARCHOPT) -L$(QCDIR) $(DEBUG) $(PLLIB) -lm -lfl -lqc $(RLLIB)
++CXXFLAGS += -c $(DEBUG) $(PLOPT) $(RLOPT) $(IRQOPT) $(ENCOPT) -I$(QCDIR) -DDEF_INCLUDE_PATH="\"$(QCLDIR)\""
++LDFLAGS += -L$(QCDIR) $(PLLIB) -lm -lfl -lqc $(RLLIB)
+
+ FILESCC = $(wildcard *.cc)
+ FILESH = $(wildcard *.h)
diff --git a/sci-physics/qcl/qcl-0.6.4.ebuild b/sci-physics/qcl/qcl-0.6.4.ebuild
new file mode 100644
index 0000000..9338be1
--- /dev/null
+++ b/sci-physics/qcl/qcl-0.6.4.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit eutils
+
+DESCRIPTION="Quantum Computation Language with an emulator of a quantum computer"
+HOMEPAGE="http://tph.tuwien.ac.at/~oemer/qcl.html"
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc"
+
+SRC_URI="http://tph.tuwien.ac.at/~oemer/tgz/${P}.tgz
+ doc? ( http://tph.tuwien.ac.at/~oemer/doc/structquprog.pdf
+ http://tph.tuwien.ac.at/~oemer/doc/qcldoc.pdf
+ http://tph.tuwien.ac.at/~oemer/doc/quprog.pdf )"
+DEPEND="media-libs/plotutils
+ sys-libs/ncurses
+ sys-libs/readline"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ epatch "${FILESDIR}/${PN}-0.6.3-gcc43.patch" "${FILESDIR}/${P}-makefile.patch"
+}
+
+src_install() {
+ emake \
+ QCLDIR="${D}/usr/share/${PN}" \
+ QCLBIN="${D}/usr/bin" install
+ dodoc README CHANGES
+ if use doc; then
+ insinto /usr/share/doc/${PF}
+ doins "${DISTDIR}"/{structquprog,qcldoc,quprog}.pdf || die
+ fi
+}
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] proj/sci:master commit in: sci-physics/qcl/files/, sci-physics/qcl/
@ 2019-01-30 5:44 Andrew Savchenko
0 siblings, 0 replies; 3+ messages in thread
From: Andrew Savchenko @ 2019-01-30 5:44 UTC (permalink / raw
To: gentoo-commits
commit: 58115cd218e93008bfb73cef6ade2e503be4af60
Author: Andrew Savchenko <bircoph <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 30 05:44:11 2019 +0000
Commit: Andrew Savchenko <bircoph <AT> gentoo <DOT> org>
CommitDate: Wed Jan 30 05:44:11 2019 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=58115cd2
sci-physics/qcl: remove old versions
Package-Manager: Portage-2.3.58, Repoman-2.3.12
Signed-off-by: Andrew Savchenko <bircoph <AT> gentoo.org>
sci-physics/qcl/files/qcl-0.6.4-makefile.patch | 22 ----------
sci-physics/qcl/files/qcl-0.6.4-makefile_v2.patch | 31 -------------
sci-physics/qcl/qcl-0.6.4-r1.ebuild | 53 -----------------------
sci-physics/qcl/qcl-0.6.4.ebuild | 44 -------------------
4 files changed, 150 deletions(-)
diff --git a/sci-physics/qcl/files/qcl-0.6.4-makefile.patch b/sci-physics/qcl/files/qcl-0.6.4-makefile.patch
deleted file mode 100644
index e73cee420..000000000
--- a/sci-physics/qcl/files/qcl-0.6.4-makefile.patch
+++ /dev/null
@@ -1,22 +0,0 @@
---- Makefile
-+++ Makefile
-@@ -32,7 +32,7 @@
-
- #DEBUG = -g -pg -DQCL_DEBUG -DQC_DEBUG
- #DEBUG = -g -DQCL_DEBUG -DQC_DEBUG
--DEBUG = -O2 -g -DQCL_DEBUG -DQC_DEBUG
-+DEBUG = -DQCL_DEBUG -DQC_DEBUG
- #DEBUG = -O2
-
- # Plotting support
-@@ -81,8 +81,8 @@
-
- #CXX = g++
- #CPP = $(CC) -E
--CXXFLAGS = -c $(ARCHOPT) $(DEBUG) $(PLOPT) $(RLOPT) $(IRQOPT) $(ENCOPT) -I$(QCDIR) -DDEF_INCLUDE_PATH="\"$(QCLDIR)\""
--LDFLAGS = $(ARCHOPT) -L$(QCDIR) $(DEBUG) $(PLLIB) -lm -lfl -lqc $(RLLIB)
-+CXXFLAGS += -c $(DEBUG) $(PLOPT) $(RLOPT) $(IRQOPT) $(ENCOPT) -I$(QCDIR) -DDEF_INCLUDE_PATH="\"$(QCLDIR)\""
-+LDFLAGS += -L$(QCDIR) $(PLLIB) -lm -lfl -lqc $(RLLIB)
-
- FILESCC = $(wildcard *.cc)
- FILESH = $(wildcard *.h)
diff --git a/sci-physics/qcl/files/qcl-0.6.4-makefile_v2.patch b/sci-physics/qcl/files/qcl-0.6.4-makefile_v2.patch
deleted file mode 100644
index 74b05c5f5..000000000
--- a/sci-physics/qcl/files/qcl-0.6.4-makefile_v2.patch
+++ /dev/null
@@ -1,31 +0,0 @@
---- a/Makefile
-+++ b/Makefile
-@@ -32,7 +32,7 @@
-
- #DEBUG = -g -pg -DQCL_DEBUG -DQC_DEBUG
- #DEBUG = -g -DQCL_DEBUG -DQC_DEBUG
--DEBUG = -O2 -g -DQCL_DEBUG -DQC_DEBUG
-+DEBUG = -DQCL_DEBUG -DQC_DEBUG
- #DEBUG = -O2
-
- # Plotting support
-@@ -81,8 +81,8 @@
-
- #CXX = g++
- #CPP = $(CC) -E
--CXXFLAGS = -c $(ARCHOPT) $(DEBUG) $(PLOPT) $(RLOPT) $(IRQOPT) $(ENCOPT) -I$(QCDIR) -DDEF_INCLUDE_PATH="\"$(QCLDIR)\""
--LDFLAGS = $(ARCHOPT) -L$(QCDIR) $(DEBUG) $(PLLIB) -lm -lfl -lqc $(RLLIB)
-+CXXFLAGS += -c $(DEBUG) $(PLOPT) $(RLOPT) $(IRQOPT) $(ENCOPT) -I$(QCDIR) -DDEF_INCLUDE_PATH="\"$(QCLDIR)\""
-+LIBS = -L$(QCDIR) $(PLLIB) -lm -lfl -lqc $(RLLIB)
-
- FILESCC = $(wildcard *.cc)
- FILESH = $(wildcard *.h)
-@@ -127,7 +127,7 @@
- build: qcl $(QCLINC)/default.qcl
-
- qcl: $(OBJECTS) qcl.o $(QCLIB)
-- $(CXX) $(OBJECTS) qcl.o $(LDFLAGS) -o qcl
-+ $(CXX) $(LDFLAGS) $(OBJECTS) qcl.o $(LIBS) -o qcl
-
- $(QCLINC)/default.qcl: extern.cc
- grep "^//!" extern.cc | cut -c5- > $(QCLINC)/default.qcl
diff --git a/sci-physics/qcl/qcl-0.6.4-r1.ebuild b/sci-physics/qcl/qcl-0.6.4-r1.ebuild
deleted file mode 100644
index feb49f2a6..000000000
--- a/sci-physics/qcl/qcl-0.6.4-r1.ebuild
+++ /dev/null
@@ -1,53 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-DESCRIPTION="Quantum Computation Language with an emulator of a quantum computer"
-HOMEPAGE="http://tph.tuwien.ac.at/~oemer/qcl.html"
-SRC_URI="
- http://tph.tuwien.ac.at/~oemer/tgz/${P}.tgz
- doc? (
- http://tph.tuwien.ac.at/~oemer/doc/structquprog.pdf
- http://tph.tuwien.ac.at/~oemer/doc/qcldoc.pdf
- http://tph.tuwien.ac.at/~oemer/doc/quprog.pdf
- )"
-
-SLOT="0"
-LICENSE="GPL-2"
-KEYWORDS="~amd64 ~x86"
-IUSE="doc plotutils readline"
-
-REPEND="
- plotutils? ( media-libs/plotutils[X,png] )
- readline? (
- sys-libs/ncurses:0=
- sys-libs/readline:0=
- )"
-DEPEND="${DEPEND}
- sys-devel/bison
- sys-devel/flex"
-
-PATCHES=(
- "${FILESDIR}/${PN}"-0.6.3-gcc43.patch
- "${FILESDIR}/${P}"-makefile_v2.patch
-)
-
-src_configure() {
- # there is no configure, Makefile must be modified
- if ! use plotutils; then
- sed -i 's/^PL/#PL/' Makefile || die
- fi
- if ! use readline; then
- sed -i 's/^RL/#RL/' Makefile || die
- fi
-}
-
-src_install() {
- emake \
- QCLDIR="${D}/usr/share/${PN}" \
- QCLBIN="${D}/usr/bin" \
- install
- dodoc CHANGES README
- use doc && dodoc "${DISTDIR}/"{structquprog,qcldoc,quprog}.pdf
-}
diff --git a/sci-physics/qcl/qcl-0.6.4.ebuild b/sci-physics/qcl/qcl-0.6.4.ebuild
deleted file mode 100644
index c3788af50..000000000
--- a/sci-physics/qcl/qcl-0.6.4.ebuild
+++ /dev/null
@@ -1,44 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-inherit eutils
-
-DESCRIPTION="Quantum Computation Language with an emulator of a quantum computer"
-HOMEPAGE="http://tph.tuwien.ac.at/~oemer/qcl.html"
-SRC_URI="
- http://tph.tuwien.ac.at/~oemer/tgz/${P}.tgz
- doc? (
- http://tph.tuwien.ac.at/~oemer/doc/structquprog.pdf
- http://tph.tuwien.ac.at/~oemer/doc/qcldoc.pdf
- http://tph.tuwien.ac.at/~oemer/doc/quprog.pdf
- )"
-
-SLOT="0"
-LICENSE="GPL-2"
-KEYWORDS="~amd64 ~x86"
-IUSE="doc"
-
-DEPEND="
- media-libs/plotutils
- sys-libs/ncurses:0=
- sys-libs/readline:0="
-RDEPEND="${DEPEND}"
-
-PATCHES=(
- "${FILESDIR}/${PN}"-0.6.3-gcc43.patch
- "${FILESDIR}/${P}"-makefile.patch
-)
-
-src_prepare() {
- epatch ${PATCHES[@]}
-}
-
-src_install() {
- emake \
- QCLDIR="${D}/usr/share/${PN}" \
- QCLBIN="${D}/usr/bin" install
- dodoc README CHANGES
- use doc && dodoc {structquprog,qcldoc,quprog}.pdf
-}
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] proj/sci:master commit in: sci-physics/qcl/files/, sci-physics/qcl/
@ 2019-01-30 5:44 Andrew Savchenko
0 siblings, 0 replies; 3+ messages in thread
From: Andrew Savchenko @ 2019-01-30 5:44 UTC (permalink / raw
To: gentoo-commits
commit: f7e784db2ef31b9df95670407c28cd6d740a597a
Author: Andrew Savchenko <bircoph <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 30 05:41:12 2019 +0000
Commit: Andrew Savchenko <bircoph <AT> gentoo <DOT> org>
CommitDate: Wed Jan 30 05:41:12 2019 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=f7e784db
sci-physics/qcl: multiple improvements
- Update to EAPI 7
- Fix dependencies (RDEPEND were wrong)
- Install additional documentation
- Respect CFLAGS for qc lib as well
- Fix install paths so that qcl can find its lib
Package-Manager: Portage-2.3.58, Repoman-2.3.12
Signed-off-by: Andrew Savchenko <bircoph <AT> gentoo.org>
sci-physics/qcl/files/qcl-0.6.4-Makefile.patch | 69 ++++++++++++++++++++++++++
sci-physics/qcl/qcl-0.6.4-r2.ebuild | 55 ++++++++++++++++++++
2 files changed, 124 insertions(+)
diff --git a/sci-physics/qcl/files/qcl-0.6.4-Makefile.patch b/sci-physics/qcl/files/qcl-0.6.4-Makefile.patch
new file mode 100644
index 000000000..bbc3f0abd
--- /dev/null
+++ b/sci-physics/qcl/files/qcl-0.6.4-Makefile.patch
@@ -0,0 +1,69 @@
+diff --git a/Makefile b/Makefile
+index 2735f71..80f9b30 100644
+--- a/Makefile
++++ b/Makefile
+@@ -14,11 +14,11 @@ VERSION=0.6.4
+
+ # Directory for Standard .qcl files
+
+-QCLDIR = /usr/local/lib/qcl
++QCLDIR = /usr/lib/qcl
+
+ # Path for qcl binaries
+
+-QCLBIN = /usr/local/bin
++QCLBIN = /usr/bin
+
+ ARCH = `g++ -dumpmachine || echo bin`
+
+@@ -32,7 +32,7 @@ ARCH = `g++ -dumpmachine || echo bin`
+
+ #DEBUG = -g -pg -DQCL_DEBUG -DQC_DEBUG
+ #DEBUG = -g -DQCL_DEBUG -DQC_DEBUG
+-DEBUG = -O2 -g -DQCL_DEBUG -DQC_DEBUG
++DEBUG = -DQCL_DEBUG -DQC_DEBUG
+ #DEBUG = -O2
+
+ # Plotting support
+@@ -81,8 +81,8 @@ QCLINC = lib
+
+ #CXX = g++
+ #CPP = $(CC) -E
+-CXXFLAGS = -c $(ARCHOPT) $(DEBUG) $(PLOPT) $(RLOPT) $(IRQOPT) $(ENCOPT) -I$(QCDIR) -DDEF_INCLUDE_PATH="\"$(QCLDIR)\""
+-LDFLAGS = $(ARCHOPT) -L$(QCDIR) $(DEBUG) $(PLLIB) -lm -lfl -lqc $(RLLIB)
++CXXFLAGS += -c $(DEBUG) $(PLOPT) $(RLOPT) $(IRQOPT) $(ENCOPT) -I$(QCDIR) -DDEF_INCLUDE_PATH="\"$(QCLDIR)\""
++LIBS = -L$(QCDIR) $(PLLIB) -lm -lfl -lqc $(RLLIB)
+
+ FILESCC = $(wildcard *.cc)
+ FILESH = $(wildcard *.h)
+@@ -127,7 +127,7 @@ $(QCLIB):
+ build: qcl $(QCLINC)/default.qcl
+
+ qcl: $(OBJECTS) qcl.o $(QCLIB)
+- $(CXX) $(OBJECTS) qcl.o $(LDFLAGS) -o qcl
++ $(CXX) $(LDFLAGS) $(OBJECTS) qcl.o $(LIBS) -o qcl
+
+ $(QCLINC)/default.qcl: extern.cc
+ grep "^//!" extern.cc | cut -c5- > $(QCLINC)/default.qcl
+diff --git a/qc/Makefile b/qc/Makefile
+index 191ffe5..79724a9 100644
+--- a/qc/Makefile
++++ b/qc/Makefile
+@@ -16,7 +16,7 @@
+
+ # Debugging options
+
+-DEBUG = -g -O2 -DQC_DEBUG
++#DEBUG = -g -O2 -DQC_DEBUG
+ #DEBUG = -g -pg -DQC_DEBUG
+ #DEBUG = -O2
+
+@@ -25,7 +25,7 @@ DEBUG = -g -O2 -DQC_DEBUG
+
+ #PRGOPT = -DQC_USE_RAND48
+
+-CXXFLAGS = $(ARCHOPT) -c -pedantic -Wall $(DEBUG) $(PRGOPT)
++CXXFLAGS += $(ARCHOPT) -c -pedantic -Wall $(DEBUG) $(PRGOPT)
+
+ LDFLAGS = $(ARCHOPT) -L. -lm -lqc
+
diff --git a/sci-physics/qcl/qcl-0.6.4-r2.ebuild b/sci-physics/qcl/qcl-0.6.4-r2.ebuild
new file mode 100644
index 000000000..b7eb2536b
--- /dev/null
+++ b/sci-physics/qcl/qcl-0.6.4-r2.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Quantum Computation Language with an emulator of a quantum computer"
+HOMEPAGE="http://tph.tuwien.ac.at/~oemer/qcl.html"
+SRC_URI="
+ http://tph.tuwien.ac.at/~oemer/tgz/${P}.tgz
+ doc? (
+ http://tph.tuwien.ac.at/~oemer/doc/structquprog.pdf
+ http://tph.tuwien.ac.at/~oemer/doc/qcldoc.pdf
+ http://tph.tuwien.ac.at/~oemer/doc/quprog.pdf
+ https://dev.gentoo.org/~bircoph/distfiles/0211100.pdf -> ccquprog.pdf
+ )"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc plotutils readline"
+
+BDEPEND="
+ sys-devel/bison
+ sys-devel/flex"
+DEPEND="
+ plotutils? ( media-libs/plotutils[X,png] )
+ readline? (
+ sys-libs/ncurses:0=
+ sys-libs/readline:0=
+ )"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+ "${FILESDIR}/${PN}"-0.6.3-gcc43.patch
+ "${FILESDIR}/${P}"-Makefile.patch
+)
+
+src_configure() {
+ # there is no configure, Makefile must be modified
+ if ! use plotutils; then
+ sed -i 's/^PL/#PL/' Makefile || die
+ fi
+ if ! use readline; then
+ sed -i 's/^RL/#RL/' Makefile || die
+ fi
+}
+
+src_install() {
+ emake \
+ QCLDIR="${D}/usr/lib/${PN}" \
+ QCLBIN="${D}/usr/bin" \
+ install
+ dodoc CHANGES README
+ use doc && dodoc "${DISTDIR}/"{ccquprog,structquprog,qcldoc,quprog}.pdf
+}
^ permalink raw reply related [flat|nested] 3+ messages in thread
end of thread, other threads:[~2019-01-30 5:44 UTC | newest]
Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2019-01-30 5:44 [gentoo-commits] proj/sci:master commit in: sci-physics/qcl/files/, sci-physics/qcl/ Andrew Savchenko
-- strict thread matches above, loose matches on Subject: below --
2019-01-30 5:44 Andrew Savchenko
2014-06-02 20:30 Jauhien Piatlicki
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox